/*
 * Copyright 2004-2010 Apple Computer, Inc., Mozilla Foundation, and Opera 
 * Software ASA.
 * 
 * You are granted a license to use, reproduce and create derivative works of 
 * this document.
 */

package nu.validator.htmlparser.impl;

import nu.validator.htmlparser.annotation.CharacterName;
import nu.validator.htmlparser.annotation.NoLength;

/**
 * @version $Id$
 * @author hsivonen
 */
public final class NamedCharacters {

    static final @NoLength @CharacterName String[] NAMES = { "lig", "lig;",
            "P", "P;", "cute", "cute;", "reve;", "irc", "irc;", "y;", "r;",
            "rave", "rave;", "pha;", "acr;", "d;", "gon;", "pf;",
            "plyFunction;", "ing", "ing;", "cr;", "sign;", "ilde", "ilde;",
            "ml", "ml;", "ckslash;", "rv;", "rwed;", "y;", "cause;",
            "rnoullis;", "ta;", "r;", "pf;", "eve;", "cr;", "mpeq;", "cy;",
            "PY", "PY;", "cute;", "p;", "pitalDifferentialD;", "yleys;",
            "aron;", "edil", "edil;", "irc;", "onint;", "ot;", "dilla;",
            "nterDot;", "r;", "i;", "rcleDot;", "rcleMinus;", "rclePlus;",
            "rcleTimes;", "ockwiseContourIntegral;", "oseCurlyDoubleQuote;",
            "oseCurlyQuote;", "lon;", "lone;", "ngruent;", "nint;",
            "ntourIntegral;", "pf;", "product;",
            "unterClockwiseContourIntegral;", "oss;", "cr;", "p;", "pCap;",
            ";", "otrahd;", "cy;", "cy;", "cy;", "gger;", "rr;", "shv;",
            "aron;", "y;", "l;", "lta;", "r;", "acriticalAcute;",
            "acriticalDot;", "acriticalDoubleAcute;", "acriticalGrave;",
            "acriticalTilde;", "amond;", "fferentialD;", "pf;", "t;", "tDot;",
            "tEqual;", "ubleContourIntegral;", "ubleDot;", "ubleDownArrow;",
            "ubleLeftArrow;", "ubleLeftRightArrow;", "ubleLeftTee;",
            "ubleLongLeftArrow;", "ubleLongLeftRightArrow;",
            "ubleLongRightArrow;", "ubleRightArrow;", "ubleRightTee;",
            "ubleUpArrow;", "ubleUpDownArrow;", "ubleVerticalBar;", "wnArrow;",
            "wnArrowBar;", "wnArrowUpArrow;", "wnBreve;", "wnLeftRightVector;",
            "wnLeftTeeVector;", "wnLeftVector;", "wnLeftVectorBar;",
            "wnRightTeeVector;", "wnRightVector;", "wnRightVectorBar;",
            "wnTee;", "wnTeeArrow;", "wnarrow;", "cr;", "trok;", "G;", "H",
            "H;", "cute", "cute;", "aron;", "irc", "irc;", "y;", "ot;", "r;",
            "rave", "rave;", "ement;", "acr;", "ptySmallSquare;",
            "ptyVerySmallSquare;", "gon;", "pf;", "silon;", "ual;",
            "ualTilde;", "uilibrium;", "cr;", "im;", "a;", "ml", "ml;",
            "ists;", "ponentialE;", "y;", "r;", "lledSmallSquare;",
            "lledVerySmallSquare;", "pf;", "rAll;", "uriertrf;", "cr;", "cy;",
            "", ";", "mma;", "mmad;", "reve;", "edil;", "irc;", "y;", "ot;",
            "r;", ";", "pf;", "eaterEqual;", "eaterEqualLess;",
            "eaterFullEqual;", "eaterGreater;", "eaterLess;",
            "eaterSlantEqual;", "eaterTilde;", "cr;", ";", "RDcy;", "cek;",
            "t;", "irc;", "r;", "lbertSpace;", "pf;", "rizontalLine;", "cr;",
            "trok;", "mpDownHump;", "mpEqual;", "cy;", "lig;", "cy;", "cute",
            "cute;", "irc", "irc;", "y;", "ot;", "r;", "rave", "rave;", ";",
            "acr;", "aginaryI;", "plies;", "t;", "tegral;", "tersection;",
            "visibleComma;", "visibleTimes;", "gon;", "pf;", "ta;", "cr;",
            "ilde;", "kcy;", "ml", "ml;", "irc;", "y;", "r;", "pf;", "cr;",
            "ercy;", "kcy;", "cy;", "cy;", "ppa;", "edil;", "y;", "r;", "pf;",
            "cr;", "cy;", "", ";", "cute;", "mbda;", "ng;", "placetrf;", "rr;",
            "aron;", "edil;", "y;", "ftAngleBracket;", "ftArrow;",
            "ftArrowBar;", "ftArrowRightArrow;", "ftCeiling;",
            "ftDoubleBracket;", "ftDownTeeVector;", "ftDownVector;",
            "ftDownVectorBar;", "ftFloor;", "ftRightArrow;", "ftRightVector;",
            "ftTee;", "ftTeeArrow;", "ftTeeVector;", "ftTriangle;",
            "ftTriangleBar;", "ftTriangleEqual;", "ftUpDownVector;",
            "ftUpTeeVector;", "ftUpVector;", "ftUpVectorBar;", "ftVector;",
            "ftVectorBar;", "ftarrow;", "ftrightarrow;", "ssEqualGreater;",
            "ssFullEqual;", "ssGreater;", "ssLess;", "ssSlantEqual;",
            "ssTilde;", "r;", ";", "eftarrow;", "idot;", "ngLeftArrow;",
            "ngLeftRightArrow;", "ngRightArrow;", "ngleftarrow;",
            "ngleftrightarrow;", "ngrightarrow;", "pf;", "werLeftArrow;",
            "werRightArrow;", "cr;", "h;", "trok;", ";", "p;", "y;",
            "diumSpace;", "llintrf;", "r;", "nusPlus;", "pf;", "cr;", ";",
            "cy;", "cute;", "aron;", "edil;", "y;", "gativeMediumSpace;",
            "gativeThickSpace;", "gativeThinSpace;", "gativeVeryThinSpace;",
            "stedGreaterGreater;", "stedLessLess;", "wLine;", "r;", "Break;",
            "nBreakingSpace;", "pf;", "t;", "tCongruent;", "tCupCap;",
            "tDoubleVerticalBar;", "tElement;", "tEqual;", "tEqualTilde;",
            "tExists;", "tGreater;", "tGreaterEqual;", "tGreaterFullEqual;",
            "tGreaterGreater;", "tGreaterLess;", "tGreaterSlantEqual;",
            "tGreaterTilde;", "tHumpDownHump;", "tHumpEqual;",
            "tLeftTriangle;", "tLeftTriangleBar;", "tLeftTriangleEqual;",
            "tLess;", "tLessEqual;", "tLessGreater;", "tLessLess;",
            "tLessSlantEqual;", "tLessTilde;", "tNestedGreaterGreater;",
            "tNestedLessLess;", "tPrecedes;", "tPrecedesEqual;",
            "tPrecedesSlantEqual;", "tReverseElement;", "tRightTriangle;",
            "tRightTriangleBar;", "tRightTriangleEqual;", "tSquareSubset;",
            "tSquareSubsetEqual;", "tSquareSuperset;", "tSquareSupersetEqual;",
            "tSubset;", "tSubsetEqual;", "tSucceeds;", "tSucceedsEqual;",
            "tSucceedsSlantEqual;", "tSucceedsTilde;", "tSuperset;",
            "tSupersetEqual;", "tTilde;", "tTildeEqual;", "tTildeFullEqual;",
            "tTildeTilde;", "tVerticalBar;", "cr;", "ilde", "ilde;", ";",
            "lig;", "cute", "cute;", "irc", "irc;", "y;", "blac;", "r;",
            "rave", "rave;", "acr;", "ega;", "icron;", "pf;",
            "enCurlyDoubleQuote;", "enCurlyQuote;", ";", "cr;", "lash",
            "lash;", "ilde", "ilde;", "imes;", "ml", "ml;", "erBar;",
            "erBrace;", "erBracket;", "erParenthesis;", "rtialD;", "y;", "r;",
            "i;", ";", "usMinus;", "incareplane;", "pf;", ";", "ecedes;",
            "ecedesEqual;", "ecedesSlantEqual;", "ecedesTilde;", "ime;",
            "oduct;", "oportion;", "oportional;", "cr;", "i;", "OT", "OT;",
            "r;", "pf;", "cr;", "arr;", "G", "G;", "cute;", "ng;", "rr;",
            "rrtl;", "aron;", "edil;", "y;", ";", "verseElement;",
            "verseEquilibrium;", "verseUpEquilibrium;", "r;", "o;",
            "ghtAngleBracket;", "ghtArrow;", "ghtArrowBar;",
            "ghtArrowLeftArrow;", "ghtCeiling;", "ghtDoubleBracket;",
            "ghtDownTeeVector;", "ghtDownVector;", "ghtDownVectorBar;",
            "ghtFloor;", "ghtTee;", "ghtTeeArrow;", "ghtTeeVector;",
            "ghtTriangle;", "ghtTriangleBar;", "ghtTriangleEqual;",
            "ghtUpDownVector;", "ghtUpTeeVector;", "ghtUpVector;",
            "ghtUpVectorBar;", "ghtVector;", "ghtVectorBar;", "ghtarrow;",
            "pf;", "undImplies;", "ightarrow;", "cr;", "h;", "leDelayed;",
            "CHcy;", "cy;", "FTcy;", "cute;", ";", "aron;", "edil;", "irc;",
            "y;", "r;", "ortDownArrow;", "ortLeftArrow;", "ortRightArrow;",
            "ortUpArrow;", "gma;", "allCircle;", "pf;", "rt;", "uare;",
            "uareIntersection;", "uareSubset;", "uareSubsetEqual;",
            "uareSuperset;", "uareSupersetEqual;", "uareUnion;", "cr;", "ar;",
            "b;", "bset;", "bsetEqual;", "cceeds;", "cceedsEqual;",
            "cceedsSlantEqual;", "cceedsTilde;", "chThat;", "m;", "p;",
            "perset;", "persetEqual;", "pset;", "ORN", "ORN;", "ADE;", "Hcy;",
            "cy;", "b;", "u;", "aron;", "edil;", "y;", "r;", "erefore;",
            "eta;", "ickSpace;", "inSpace;", "lde;", "ldeEqual;",
            "ldeFullEqual;", "ldeTilde;", "pf;", "ipleDot;", "cr;", "trok;",
            "cute", "cute;", "rr;", "rrocir;", "rcy;", "reve;", "irc", "irc;",
            "y;", "blac;", "r;", "rave", "rave;", "acr;", "derBar;",
            "derBrace;", "derBracket;", "derParenthesis;", "ion;", "ionPlus;",
            "gon;", "pf;", "Arrow;", "ArrowBar;", "ArrowDownArrow;",
            "DownArrow;", "Equilibrium;", "Tee;", "TeeArrow;", "arrow;",
            "downarrow;", "perLeftArrow;", "perRightArrow;", "si;", "silon;",
            "ing;", "cr;", "ilde;", "ml", "ml;", "ash;", "ar;", "y;", "ash;",
            "ashl;", "e;", "rbar;", "rt;", "rticalBar;", "rticalLine;",
            "rticalSeparator;", "rticalTilde;", "ryThinSpace;", "r;", "pf;",
            "cr;", "dash;", "irc;", "dge;", "r;", "pf;", "cr;", "r;", ";",
            "pf;", "cr;", "cy;", "cy;", "cy;", "cute", "cute;", "irc;", "y;",
            "r;", "pf;", "cr;", "ml;", "cy;", "cute;", "aron;", "y;", "ot;",
            "roWidthSpace;", "ta;", "r;", "pf;", "cr;", "cute", "cute;",
            "reve;", ";", "E;", "d;", "irc", "irc;", "ute", "ute;", "y;",
            "lig", "lig;", ";", "r;", "rave", "rave;", "efsym;", "eph;",
            "pha;", "acr;", "alg;", "p", "p;", "d;", "dand;", "dd;", "dslope;",
            "dv;", "g;", "ge;", "gle;", "gmsd;", "gmsdaa;", "gmsdab;",
            "gmsdac;", "gmsdad;", "gmsdae;", "gmsdaf;", "gmsdag;", "gmsdah;",
            "grt;", "grtvb;", "grtvbd;", "gsph;", "gst;", "gzarr;", "gon;",
            "pf;", ";", "E;", "acir;", "e;", "id;", "os;", "prox;", "proxeq;",
            "ing", "ing;", "cr;", "t;", "ymp;", "ympeq;", "ilde", "ilde;",
            "ml", "ml;", "conint;", "int;", "ot;", "ckcong;", "ckepsilon;",
            "ckprime;", "cksim;", "cksimeq;", "rvee;", "rwed;", "rwedge;",
            "rk;", "rktbrk;", "ong;", "y;", "quo;", "caus;", "cause;",
            "mptyv;", "psi;", "rnou;", "ta;", "th;", "tween;", "r;", "gcap;",
            "gcirc;", "gcup;", "godot;", "goplus;", "gotimes;", "gsqcup;",
            "gstar;", "gtriangledown;", "gtriangleup;", "guplus;", "gvee;",
            "gwedge;", "arow;", "acklozenge;", "acksquare;", "acktriangle;",
            "acktriangledown;", "acktriangleleft;", "acktriangleright;",
            "ank;", "k12;", "k14;", "k34;", "ock;", "e;", "equiv;", "ot;",
            "pf;", "t;", "ttom;", "wtie;", "xDL;", "xDR;", "xDl;", "xDr;",
            "xH;", "xHD;", "xHU;", "xHd;", "xHu;", "xUL;", "xUR;", "xUl;",
            "xUr;", "xV;", "xVH;", "xVL;", "xVR;", "xVh;", "xVl;", "xVr;",
            "xbox;", "xdL;", "xdR;", "xdl;", "xdr;", "xh;", "xhD;", "xhU;",
            "xhd;", "xhu;", "xminus;", "xplus;", "xtimes;", "xuL;", "xuR;",
            "xul;", "xur;", "xv;", "xvH;", "xvL;", "xvR;", "xvh;", "xvl;",
            "xvr;", "rime;", "eve;", "vbar", "vbar;", "cr;", "emi;", "im;",
            "ime;", "ol;", "olb;", "olhsub;", "ll;", "llet;", "mp;", "mpE;",
            "mpe;", "mpeq;", "cute;", "p;", "pand;", "pbrcup;", "pcap;",
            "pcup;", "pdot;", "ps;", "ret;", "ron;", "aps;", "aron;", "edil",
            "edil;", "irc;", "ups;", "upssm;", "ot;", "dil", "dil;", "mptyv;",
            "nt", "nt;", "nterdot;", "r;", "cy;", "eck;", "eckmark;", "i;",
            "r;", "rE;", "rc;", "rceq;", "rclearrowleft;", "rclearrowright;",
            "rcledR;", "rcledS;", "rcledast;", "rcledcirc;", "rcleddash;",
            "re;", "rfnint;", "rmid;", "rscir;", "ubs;", "ubsuit;", "lon;",
            "lone;", "loneq;", "mma;", "mmat;", "mp;", "mpfn;", "mplement;",
            "mplexes;", "ng;", "ngdot;", "nint;", "pf;", "prod;", "py", "py;",
            "pysr;", "arr;", "oss;", "cr;", "ub;", "ube;", "up;", "upe;",
            "dot;", "darrl;", "darrr;", "epr;", "esc;", "larr;", "larrp;",
            "p;", "pbrcap;", "pcap;", "pcup;", "pdot;", "por;", "ps;", "rarr;",
            "rarrm;", "rlyeqprec;", "rlyeqsucc;", "rlyvee;", "rlywedge;",
            "rren", "rren;", "rvearrowleft;", "rvearrowright;", "vee;", "wed;",
            "conint;", "int;", "lcty;", "rr;", "ar;", "gger;", "leth;", "rr;",
            "sh;", "shv;", "karow;", "lac;", "aron;", "y;", ";", "agger;",
            "arr;", "otseq;", "g", "g;", "lta;", "mptyv;", "isht;", "r;",
            "arl;", "arr;", "am;", "amond;", "amondsuit;", "ams;", "e;",
            "gamma;", "sin;", "v;", "vide", "vide;", "videontimes;", "vonx;",
            "cy;", "corn;", "crop;", "llar;", "pf;", "t;", "teq;", "teqdot;",
            "tminus;", "tplus;", "tsquare;", "ublebarwedge;", "wnarrow;",
            "wndownarrows;", "wnharpoonleft;", "wnharpoonright;", "bkarow;",
            "corn;", "crop;", "cr;", "cy;", "ol;", "trok;", "dot;", "ri;",
            "rif;", "arr;", "har;", "angle;", "cy;", "igrarr;", "Dot;", "ot;",
            "cute", "cute;", "ster;", "aron;", "ir;", "irc", "irc;", "olon;",
            "y;", "ot;", ";", "Dot;", "r;", ";", "rave", "rave;", "s;",
            "sdot;", ";", "inters;", "l;", "s;", "sdot;", "acr;", "pty;",
            "ptyset;", "ptyv;", "sp13;", "sp14;", "sp;", "g;", "sp;", "gon;",
            "pf;", "ar;", "arsl;", "lus;", "si;", "silon;", "siv;", "circ;",
            "colon;", "sim;", "slantgtr;", "slantless;", "uals;", "uest;",
            "uiv;", "uivDD;", "vparsl;", "Dot;", "arr;", "cr;", "dot;", "im;",
            "a;", "h", "h;", "ml", "ml;", "ro;", "cl;", "ist;", "pectation;",
            "ponentiale;", "llingdotseq;", "y;", "male;", "ilig;", "lig;",
            "llig;", "r;", "lig;", "lig;", "at;", "lig;", "tns;", "of;", "pf;",
            "rall;", "rk;", "rkv;", "artint;", "ac12", "ac12;", "ac13;",
            "ac14", "ac14;", "ac15;", "ac16;", "ac18;", "ac23;", "ac25;",
            "ac34", "ac34;", "ac35;", "ac38;", "ac45;", "ac56;", "ac58;",
            "ac78;", "asl;", "own;", "cr;", ";", "l;", "cute;", "mma;",
            "mmad;", "p;", "reve;", "irc;", "y;", "ot;", ";", "l;", "q;",
            "qq;", "qslant;", "s;", "scc;", "sdot;", "sdoto;", "sdotol;",
            "sl;", "sles;", "r;", ";", "g;", "mel;", "cy;", ";", "E;", "a;",
            "j;", "E;", "ap;", "approx;", "e;", "eq;", "eqq;", "sim;", "pf;",
            "ave;", "cr;", "im;", "ime;", "iml;", "", ";", "cc;", "cir;",
            "dot;", "lPar;", "quest;", "rapprox;", "rarr;", "rdot;",
            "reqless;", "reqqless;", "rless;", "rsim;", "ertneqq;", "nE;",
            "rr;", "irsp;", "lf;", "milt;", "rdcy;", "rr;", "rrcir;", "rrw;",
            "ar;", "irc;", "arts;", "artsuit;", "llip;", "rcon;", "r;",
            "searow;", "swarow;", "arr;", "mtht;", "okleftarrow;",
            "okrightarrow;", "pf;", "rbar;", "cr;", "lash;", "trok;", "bull;",
            "phen;", "cute", "cute;", ";", "irc", "irc;", "y;", "cy;", "xcl",
            "xcl;", "f;", "r;", "rave", "rave;", ";", "iint;", "int;", "nfin;",
            "ota;", "lig;", "acr;", "age;", "agline;", "agpart;", "ath;",
            "of;", "ped;", ";", "care;", "fin;", "fintie;", "odot;", "t;",
            "tcal;", "tegers;", "tercal;", "tlarhk;", "tprod;", "cy;", "gon;",
            "pf;", "ta;", "rod;", "uest", "uest;", "cr;", "in;", "inE;",
            "indot;", "ins;", "insv;", "inv;", ";", "ilde;", "kcy;", "ml",
            "ml;", "irc;", "y;", "r;", "ath;", "pf;", "cr;", "ercy;", "kcy;",
            "ppa;", "ppav;", "edil;", "y;", "r;", "reen;", "cy;", "cy;", "pf;",
            "cr;", "arr;", "rr;", "tail;", "arr;", ";", "g;", "ar;", "cute;",
            "emptyv;", "gran;", "mbda;", "ng;", "ngd;", "ngle;", "p;", "quo",
            "quo;", "rr;", "rrb;", "rrbfs;", "rrfs;", "rrhk;", "rrlp;",
            "rrpl;", "rrsim;", "rrtl;", "t;", "tail;", "te;", "tes;", "arr;",
            "brk;", "race;", "rack;", "rke;", "rksld;", "rkslu;", "aron;",
            "edil;", "eil;", "ub;", "y;", "ca;", "quo;", "quor;", "rdhar;",
            "rushar;", "sh;", ";", "ftarrow;", "ftarrowtail;",
            "ftharpoondown;", "ftharpoonup;", "ftleftarrows;", "ftrightarrow;",
            "ftrightarrows;", "ftrightharpoons;", "ftrightsquigarrow;",
            "ftthreetimes;", "g;", "q;", "qq;", "qslant;", "s;", "scc;",
            "sdot;", "sdoto;", "sdotor;", "sg;", "sges;", "ssapprox;",
            "ssdot;", "sseqgtr;", "sseqqgtr;", "ssgtr;", "sssim;", "isht;",
            "loor;", "r;", ";", "E;", "ard;", "aru;", "arul;", "blk;", "cy;",
            ";", "arr;", "corner;", "hard;", "tri;", "idot;", "oust;",
            "oustache;", "E;", "ap;", "approx;", "e;", "eq;", "eqq;", "sim;",
            "ang;", "arr;", "brk;", "ngleftarrow;", "ngleftrightarrow;",
            "ngmapsto;", "ngrightarrow;", "oparrowleft;", "oparrowright;",
            "par;", "pf;", "plus;", "times;", "wast;", "wbar;", "z;", "zenge;",
            "zf;", "ar;", "arlt;", "arr;", "corner;", "har;", "hard;", "m;",
            "tri;", "aquo;", "cr;", "h;", "im;", "ime;", "img;", "qb;", "quo;",
            "quor;", "trok;", "", ";", "cc;", "cir;", "dot;", "hree;", "imes;",
            "larr;", "quest;", "rPar;", "ri;", "rie;", "rif;", "rdshar;",
            "ruhar;", "ertneqq;", "nE;", "Dot;", "cr", "cr;", "le;", "lt;",
            "ltese;", "p;", "psto;", "pstodown;", "pstoleft;", "pstoup;",
            "rker;", "omma;", "y;", "ash;", "asuredangle;", "r;", "o;", "cro",
            "cro;", "d;", "dast;", "dcir;", "ddot", "ddot;", "nus;", "nusb;",
            "nusd;", "nusdu;", "cp;", "dr;", "plus;", "dels;", "pf;", ";",
            "cr;", "tpos;", ";", "ltimap;", "map;", "g;", "t;", "tv;",
            "eftarrow;", "eftrightarrow;", "l;", "t;", "tv;", "ightarrow;",
            "Dash;", "dash;", "bla;", "cute;", "ng;", "p;", "pE;", "pid;",
            "pos;", "pprox;", "tur;", "tural;", "turals;", "sp", "sp;", "ump;",
            "umpe;", "ap;", "aron;", "edil;", "ong;", "ongdot;", "up;", "y;",
            "ash;", ";", "Arr;", "arhk;", "arr;", "arrow;", "dot;", "quiv;",
            "sear;", "sim;", "xist;", "xists;", "r;", "E;", "e;", "eq;",
            "eqq;", "eqslant;", "es;", "sim;", "t;", "tr;", "Arr;", "arr;",
            "par;", ";", "s;", "sd;", "v;", "cy;", "Arr;", "E;", "arr;", "dr;",
            "e;", "eftarrow;", "eftrightarrow;", "eq;", "eqq;", "eqslant;",
            "es;", "ess;", "sim;", "t;", "tri;", "trie;", "id;", "pf;", "t",
            "t;", "tin;", "tinE;", "tindot;", "tinva;", "tinvb;", "tinvc;",
            "tni;", "tniva;", "tnivb;", "tnivc;", "ar;", "arallel;", "arsl;",
            "art;", "olint;", "r;", "rcue;", "re;", "rec;", "receq;", "Arr;",
            "arr;", "arrc;", "arrw;", "ightarrow;", "tri;", "trie;", "c;",
            "ccue;", "ce;", "cr;", "hortmid;", "hortparallel;", "im;", "ime;",
            "imeq;", "mid;", "par;", "qsube;", "qsupe;", "ub;", "ubE;", "ube;",
            "ubset;", "ubseteq;", "ubseteqq;", "ucc;", "ucceq;", "up;", "upE;",
            "upe;", "upset;", "upseteq;", "upseteqq;", "gl;", "ilde", "ilde;",
            "lg;", "riangleleft;", "rianglelefteq;", "riangleright;",
            "rianglerighteq;", ";", "m;", "mero;", "msp;", "Dash;", "Harr;",
            "ap;", "dash;", "ge;", "gt;", "infin;", "lArr;", "le;", "lt;",
            "ltrie;", "rArr;", "rtrie;", "sim;", "Arr;", "arhk;", "arr;",
            "arrow;", "near;", ";", "cute", "cute;", "st;", "ir;", "irc",
            "irc;", "y;", "ash;", "blac;", "iv;", "ot;", "sold;", "lig;",
            "cir;", "r;", "on;", "rave", "rave;", "t;", "bar;", "m;", "nt;",
            "arr;", "cir;", "cross;", "ine;", "t;", "acr;", "ega;", "icron;",
            "id;", "inus;", "pf;", "ar;", "erp;", "lus;", ";", "arr;", "d;",
            "der;", "derof;", "df", "df;", "dm", "dm;", "igof;", "or;",
            "slope;", "v;", "cr;", "lash", "lash;", "ol;", "ilde", "ilde;",
            "imes;", "imesas;", "ml", "ml;", "bar;", "r;", "ra", "ra;",
            "rallel;", "rsim;", "rsl;", "rt;", "y;", "rcnt;", "riod;", "rmil;",
            "rp;", "rtenk;", "r;", "i;", "iv;", "mmat;", "one;", ";",
            "tchfork;", "v;", "anck;", "anckh;", "ankv;", "us;", "usacir;",
            "usb;", "uscir;", "usdo;", "usdu;", "use;", "usmn", "usmn;",
            "ussim;", "ustwo;", ";", "intint;", "pf;", "und", "und;", ";",
            "E;", "ap;", "cue;", "e;", "ec;", "ecapprox;", "eccurlyeq;",
            "eceq;", "ecnapprox;", "ecneqq;", "ecnsim;", "ecsim;", "ime;",
            "imes;", "nE;", "nap;", "nsim;", "od;", "ofalar;", "ofline;",
            "ofsurf;", "op;", "opto;", "sim;", "urel;", "cr;", "i;", "ncsp;",
            "r;", "nt;", "pf;", "rime;", "cr;", "aternions;", "atint;", "est;",
            "esteq;", "ot", "ot;", "arr;", "rr;", "tail;", "arr;", "ar;",
            "ce;", "cute;", "dic;", "emptyv;", "ng;", "ngd;", "nge;", "ngle;",
            "quo", "quo;", "rr;", "rrap;", "rrb;", "rrbfs;", "rrc;", "rrfs;",
            "rrhk;", "rrlp;", "rrpl;", "rrsim;", "rrtl;", "rrw;", "tail;",
            "tio;", "tionals;", "arr;", "brk;", "race;", "rack;", "rke;",
            "rksld;", "rkslu;", "aron;", "edil;", "eil;", "ub;", "y;", "ca;",
            "ldhar;", "quo;", "quor;", "sh;", "al;", "aline;", "alpart;",
            "als;", "ct;", "g", "g;", "isht;", "loor;", "r;", "ard;", "aru;",
            "arul;", "o;", "ov;", "ghtarrow;", "ghtarrowtail;",
            "ghtharpoondown;", "ghtharpoonup;", "ghtleftarrows;",
            "ghtleftharpoons;", "ghtrightarrows;", "ghtsquigarrow;",
            "ghtthreetimes;", "ng;", "singdotseq;", "arr;", "har;", "m;",
            "oust;", "oustache;", "mid;", "ang;", "arr;", "brk;", "par;",
            "pf;", "plus;", "times;", "ar;", "argt;", "polint;", "arr;",
            "aquo;", "cr;", "h;", "qb;", "quo;", "quor;", "hree;", "imes;",
            "ri;", "rie;", "rif;", "riltri;", "luhar;", ";", "cute;", "quo;",
            ";", "E;", "ap;", "aron;", "cue;", "e;", "edil;", "irc;", "nE;",
            "nap;", "nsim;", "polint;", "sim;", "y;", "ot;", "otb;", "ote;",
            "Arr;", "arhk;", "arr;", "arrow;", "ct", "ct;", "mi;", "swar;",
            "tminus;", "tmn;", "xt;", "r;", "rown;", "arp;", "chcy;", "cy;",
            "ortmid;", "ortparallel;", "y", "y;", "gma;", "gmaf;", "gmav;",
            "m;", "mdot;", "me;", "meq;", "mg;", "mgE;", "ml;", "mlE;", "mne;",
            "mplus;", "mrarr;", "arr;", "allsetminus;", "ashp;", "eparsl;",
            "id;", "ile;", "t;", "te;", "tes;", "ftcy;", "l;", "lb;", "lbar;",
            "pf;", "ades;", "adesuit;", "ar;", "cap;", "caps;", "cup;",
            "cups;", "sub;", "sube;", "subset;", "subseteq;", "sup;", "supe;",
            "supset;", "supseteq;", "u;", "uare;", "uarf;", "uf;", "arr;",
            "cr;", "etmn;", "mile;", "tarf;", "ar;", "arf;", "raightepsilon;",
            "raightphi;", "rns;", "b;", "bE;", "bdot;", "be;", "bedot;",
            "bmult;", "bnE;", "bne;", "bplus;", "brarr;", "bset;", "bseteq;",
            "bseteqq;", "bsetneq;", "bsetneqq;", "bsim;", "bsub;", "bsup;",
            "cc;", "ccapprox;", "cccurlyeq;", "cceq;", "ccnapprox;", "ccneqq;",
            "ccnsim;", "ccsim;", "m;", "ng;", "p1", "p1;", "p2", "p2;", "p3",
            "p3;", "p;", "pE;", "pdot;", "pdsub;", "pe;", "pedot;", "phsol;",
            "phsub;", "plarr;", "pmult;", "pnE;", "pne;", "pplus;", "pset;",
            "pseteq;", "pseteqq;", "psetneq;", "psetneqq;", "psim;", "psub;",
            "psup;", "Arr;", "arhk;", "arr;", "arrow;", "nwar;", "lig", "lig;",
            "rget;", "u;", "rk;", "aron;", "edil;", "y;", "ot;", "lrec;", "r;",
            "ere4;", "erefore;", "eta;", "etasym;", "etav;", "ickapprox;",
            "icksim;", "insp;", "kap;", "ksim;", "orn", "orn;", "lde;", "mes",
            "mes;", "mesb;", "mesbar;", "mesd;", "nt;", "ea;", "p;", "pbot;",
            "pcir;", "pf;", "pfork;", "sa;", "rime;", "ade;", "iangle;",
            "iangledown;", "iangleleft;", "ianglelefteq;", "iangleq;",
            "iangleright;", "ianglerighteq;", "idot;", "ie;", "iminus;",
            "iplus;", "isb;", "itime;", "pezium;", "cr;", "cy;", "hcy;",
            "trok;", "ixt;", "oheadleftarrow;", "oheadrightarrow;", "rr;",
            "ar;", "cute", "cute;", "rr;", "rcy;", "reve;", "irc", "irc;",
            "y;", "arr;", "blac;", "har;", "isht;", "r;", "rave", "rave;",
            "arl;", "arr;", "blk;", "corn;", "corner;", "crop;", "tri;",
            "acr;", "l", "l;", "gon;", "pf;", "arrow;", "downarrow;",
            "harpoonleft;", "harpoonright;", "lus;", "si;", "sih;", "silon;",
            "uparrows;", "corn;", "corner;", "crop;", "ing;", "tri;", "cr;",
            "dot;", "ilde;", "ri;", "rif;", "arr;", "ml", "ml;", "angle;",
            "rr;", "ar;", "arv;", "ash;", "ngrt;", "repsilon;", "rkappa;",
            "rnothing;", "rphi;", "rpi;", "rpropto;", "rr;", "rrho;",
            "rsigma;", "rsubsetneq;", "rsubsetneqq;", "rsupsetneq;",
            "rsupsetneqq;", "rtheta;", "rtriangleleft;", "rtriangleright;",
            "y;", "ash;", "e;", "ebar;", "eeq;", "llip;", "rbar;", "rt;", "r;",
            "tri;", "sub;", "sup;", "pf;", "rop;", "tri;", "cr;", "ubnE;",
            "ubne;", "upnE;", "upne;", "igzag;", "irc;", "dbar;", "dge;",
            "dgeq;", "ierp;", "r;", "pf;", ";", ";", "eath;", "cr;", "ap;",
            "irc;", "up;", "tri;", "r;", "Arr;", "arr;", ";", "Arr;", "arr;",
            "ap;", "is;", "dot;", "pf;", "plus;", "time;", "Arr;", "arr;",
            "cr;", "qcup;", "plus;", "tri;", "ee;", "edge;", "cute", "cute;",
            "cy;", "irc;", "y;", "n", "n;", "r;", "cy;", "pf;", "cr;", "cy;",
            "ml", "ml;", "cute;", "aron;", "y;", "ot;", "etrf;", "ta;", "r;",
            "cy;", "grarr;", "pf;", "cr;", "j;", "nj;", };

    static final @NoLength char[][] VALUES = { { '\u00c6' }, { '\u00c6' },
            { '\u0026' }, { '\u0026' }, { '\u00c1' }, { '\u00c1' },
            { '\u0102' }, { '\u00c2' }, { '\u00c2' }, { '\u0410' },
            { '\ud835', '\udd04' }, { '\u00c0' }, { '\u00c0' }, { '\u0391' },
            { '\u0100' }, { '\u2a53' }, { '\u0104' }, { '\ud835', '\udd38' },
            { '\u2061' }, { '\u00c5' }, { '\u00c5' }, { '\ud835', '\udc9c' },
            { '\u2254' }, { '\u00c3' }, { '\u00c3' }, { '\u00c4' },
            { '\u00c4' }, { '\u2216' }, { '\u2ae7' }, { '\u2306' },
            { '\u0411' }, { '\u2235' }, { '\u212c' }, { '\u0392' },
            { '\ud835', '\udd05' }, { '\ud835', '\udd39' }, { '\u02d8' },
            { '\u212c' }, { '\u224e' }, { '\u0427' }, { '\u00a9' },
            { '\u00a9' }, { '\u0106' }, { '\u22d2' }, { '\u2145' },
            { '\u212d' }, { '\u010c' }, { '\u00c7' }, { '\u00c7' },
            { '\u0108' }, { '\u2230' }, { '\u010a' }, { '\u00b8' },
            { '\u00b7' }, { '\u212d' }, { '\u03a7' }, { '\u2299' },
            { '\u2296' }, { '\u2295' }, { '\u2297' }, { '\u2232' },
            { '\u201d' }, { '\u2019' }, { '\u2237' }, { '\u2a74' },
            { '\u2261' }, { '\u222f' }, { '\u222e' }, { '\u2102' },
            { '\u2210' }, { '\u2233' }, { '\u2a2f' }, { '\ud835', '\udc9e' },
            { '\u22d3' }, { '\u224d' }, { '\u2145' }, { '\u2911' },
            { '\u0402' }, { '\u0405' }, { '\u040f' }, { '\u2021' },
            { '\u21a1' }, { '\u2ae4' }, { '\u010e' }, { '\u0414' },
            { '\u2207' }, { '\u0394' }, { '\ud835', '\udd07' }, { '\u00b4' },
            { '\u02d9' }, { '\u02dd' }, { '\u0060' }, { '\u02dc' },
            { '\u22c4' }, { '\u2146' }, { '\ud835', '\udd3b' }, { '\u00a8' },
            { '\u20dc' }, { '\u2250' }, { '\u222f' }, { '\u00a8' },
            { '\u21d3' }, { '\u21d0' }, { '\u21d4' }, { '\u2ae4' },
            { '\u27f8' }, { '\u27fa' }, { '\u27f9' }, { '\u21d2' },
            { '\u22a8' }, { '\u21d1' }, { '\u21d5' }, { '\u2225' },
            { '\u2193' }, { '\u2913' }, { '\u21f5' }, { '\u0311' },
            { '\u2950' }, { '\u295e' }, { '\u21bd' }, { '\u2956' },
            { '\u295f' }, { '\u21c1' }, { '\u2957' }, { '\u22a4' },
            { '\u21a7' }, { '\u21d3' }, { '\ud835', '\udc9f' }, { '\u0110' },
            { '\u014a' }, { '\u00d0' }, { '\u00d0' }, { '\u00c9' },
            { '\u00c9' }, { '\u011a' }, { '\u00ca' }, { '\u00ca' },
            { '\u042d' }, { '\u0116' }, { '\ud835', '\udd08' }, { '\u00c8' },
            { '\u00c8' }, { '\u2208' }, { '\u0112' }, { '\u25fb' },
            { '\u25ab' }, { '\u0118' }, { '\ud835', '\udd3c' }, { '\u0395' },
            { '\u2a75' }, { '\u2242' }, { '\u21cc' }, { '\u2130' },
            { '\u2a73' }, { '\u0397' }, { '\u00cb' }, { '\u00cb' },
            { '\u2203' }, { '\u2147' }, { '\u0424' }, { '\ud835', '\udd09' },
            { '\u25fc' }, { '\u25aa' }, { '\ud835', '\udd3d' }, { '\u2200' },
            { '\u2131' }, { '\u2131' }, { '\u0403' }, { '\u003e' },
            { '\u003e' }, { '\u0393' }, { '\u03dc' }, { '\u011e' },
            { '\u0122' }, { '\u011c' }, { '\u0413' }, { '\u0120' },
            { '\ud835', '\udd0a' }, { '\u22d9' }, { '\ud835', '\udd3e' },
            { '\u2265' }, { '\u22db' }, { '\u2267' }, { '\u2aa2' },
            { '\u2277' }, { '\u2a7e' }, { '\u2273' }, { '\ud835', '\udca2' },
            { '\u226b' }, { '\u042a' }, { '\u02c7' }, { '\u005e' },
            { '\u0124' }, { '\u210c' }, { '\u210b' }, { '\u210d' },
            { '\u2500' }, { '\u210b' }, { '\u0126' }, { '\u224e' },
            { '\u224f' }, { '\u0415' }, { '\u0132' }, { '\u0401' },
            { '\u00cd' }, { '\u00cd' }, { '\u00ce' }, { '\u00ce' },
            { '\u0418' }, { '\u0130' }, { '\u2111' }, { '\u00cc' },
            { '\u00cc' }, { '\u2111' }, { '\u012a' }, { '\u2148' },
            { '\u21d2' }, { '\u222c' }, { '\u222b' }, { '\u22c2' },
            { '\u2063' }, { '\u2062' }, { '\u012e' }, { '\ud835', '\udd40' },
            { '\u0399' }, { '\u2110' }, { '\u0128' }, { '\u0406' },
            { '\u00cf' }, { '\u00cf' }, { '\u0134' }, { '\u0419' },
            { '\ud835', '\udd0d' }, { '\ud835', '\udd41' },
            { '\ud835', '\udca5' }, { '\u0408' }, { '\u0404' }, { '\u0425' },
            { '\u040c' }, { '\u039a' }, { '\u0136' }, { '\u041a' },
            { '\ud835', '\udd0e' }, { '\ud835', '\udd42' },
            { '\ud835', '\udca6' }, { '\u0409' }, { '\u003c' }, { '\u003c' },
            { '\u0139' }, { '\u039b' }, { '\u27ea' }, { '\u2112' },
            { '\u219e' }, { '\u013d' }, { '\u013b' }, { '\u041b' },
            { '\u27e8' }, { '\u2190' }, { '\u21e4' }, { '\u21c6' },
            { '\u2308' }, { '\u27e6' }, { '\u2961' }, { '\u21c3' },
            { '\u2959' }, { '\u230a' }, { '\u2194' }, { '\u294e' },
            { '\u22a3' }, { '\u21a4' }, { '\u295a' }, { '\u22b2' },
            { '\u29cf' }, { '\u22b4' }, { '\u2951' }, { '\u2960' },
            { '\u21bf' }, { '\u2958' }, { '\u21bc' }, { '\u2952' },
            { '\u21d0' }, { '\u21d4' }, { '\u22da' }, { '\u2266' },
            { '\u2276' }, { '\u2aa1' }, { '\u2a7d' }, { '\u2272' },
            { '\ud835', '\udd0f' }, { '\u22d8' }, { '\u21da' }, { '\u013f' },
            { '\u27f5' }, { '\u27f7' }, { '\u27f6' }, { '\u27f8' },
            { '\u27fa' }, { '\u27f9' }, { '\ud835', '\udd43' }, { '\u2199' },
            { '\u2198' }, { '\u2112' }, { '\u21b0' }, { '\u0141' },
            { '\u226a' }, { '\u2905' }, { '\u041c' }, { '\u205f' },
            { '\u2133' }, { '\ud835', '\udd10' }, { '\u2213' },
            { '\ud835', '\udd44' }, { '\u2133' }, { '\u039c' }, { '\u040a' },
            { '\u0143' }, { '\u0147' }, { '\u0145' }, { '\u041d' },
            { '\u200b' }, { '\u200b' }, { '\u200b' }, { '\u200b' },
            { '\u226b' }, { '\u226a' }, { '\n' }, { '\ud835', '\udd11' },
            { '\u2060' }, { '\u00a0' }, { '\u2115' }, { '\u2aec' },
            { '\u2262' }, { '\u226d' }, { '\u2226' }, { '\u2209' },
            { '\u2260' }, { '\u2242', '\u0338' }, { '\u2204' }, { '\u226f' },
            { '\u2271' }, { '\u2267', '\u0338' }, { '\u226b', '\u0338' },
            { '\u2279' }, { '\u2a7e', '\u0338' }, { '\u2275' },
            { '\u224e', '\u0338' }, { '\u224f', '\u0338' }, { '\u22ea' },
            { '\u29cf', '\u0338' }, { '\u22ec' }, { '\u226e' }, { '\u2270' },
            { '\u2278' }, { '\u226a', '\u0338' }, { '\u2a7d', '\u0338' },
            { '\u2274' }, { '\u2aa2', '\u0338' }, { '\u2aa1', '\u0338' },
            { '\u2280' }, { '\u2aaf', '\u0338' }, { '\u22e0' }, { '\u220c' },
            { '\u22eb' }, { '\u29d0', '\u0338' }, { '\u22ed' },
            { '\u228f', '\u0338' }, { '\u22e2' }, { '\u2290', '\u0338' },
            { '\u22e3' }, { '\u2282', '\u20d2' }, { '\u2288' }, { '\u2281' },
            { '\u2ab0', '\u0338' }, { '\u22e1' }, { '\u227f', '\u0338' },
            { '\u2283', '\u20d2' }, { '\u2289' }, { '\u2241' }, { '\u2244' },
            { '\u2247' }, { '\u2249' }, { '\u2224' }, { '\ud835', '\udca9' },
            { '\u00d1' }, { '\u00d1' }, { '\u039d' }, { '\u0152' },
            { '\u00d3' }, { '\u00d3' }, { '\u00d4' }, { '\u00d4' },
            { '\u041e' }, { '\u0150' }, { '\ud835', '\udd12' }, { '\u00d2' },
            { '\u00d2' }, { '\u014c' }, { '\u03a9' }, { '\u039f' },
            { '\ud835', '\udd46' }, { '\u201c' }, { '\u2018' }, { '\u2a54' },
            { '\ud835', '\udcaa' }, { '\u00d8' }, { '\u00d8' }, { '\u00d5' },
            { '\u00d5' }, { '\u2a37' }, { '\u00d6' }, { '\u00d6' },
            { '\u203e' }, { '\u23de' }, { '\u23b4' }, { '\u23dc' },
            { '\u2202' }, { '\u041f' }, { '\ud835', '\udd13' }, { '\u03a6' },
            { '\u03a0' }, { '\u00b1' }, { '\u210c' }, { '\u2119' },
            { '\u2abb' }, { '\u227a' }, { '\u2aaf' }, { '\u227c' },
            { '\u227e' }, { '\u2033' }, { '\u220f' }, { '\u2237' },
            { '\u221d' }, { '\ud835', '\udcab' }, { '\u03a8' }, { '\u0022' },
            { '\u0022' }, { '\ud835', '\udd14' }, { '\u211a' },
            { '\ud835', '\udcac' }, { '\u2910' }, { '\u00ae' }, { '\u00ae' },
            { '\u0154' }, { '\u27eb' }, { '\u21a0' }, { '\u2916' },
            { '\u0158' }, { '\u0156' }, { '\u0420' }, { '\u211c' },
            { '\u220b' }, { '\u21cb' }, { '\u296f' }, { '\u211c' },
            { '\u03a1' }, { '\u27e9' }, { '\u2192' }, { '\u21e5' },
            { '\u21c4' }, { '\u2309' }, { '\u27e7' }, { '\u295d' },
            { '\u21c2' }, { '\u2955' }, { '\u230b' }, { '\u22a2' },
            { '\u21a6' }, { '\u295b' }, { '\u22b3' }, { '\u29d0' },
            { '\u22b5' }, { '\u294f' }, { '\u295c' }, { '\u21be' },
            { '\u2954' }, { '\u21c0' }, { '\u2953' }, { '\u21d2' },
            { '\u211d' }, { '\u2970' }, { '\u21db' }, { '\u211b' },
            { '\u21b1' }, { '\u29f4' }, { '\u0429' }, { '\u0428' },
            { '\u042c' }, { '\u015a' }, { '\u2abc' }, { '\u0160' },
            { '\u015e' }, { '\u015c' }, { '\u0421' }, { '\ud835', '\udd16' },
            { '\u2193' }, { '\u2190' }, { '\u2192' }, { '\u2191' },
            { '\u03a3' }, { '\u2218' }, { '\ud835', '\udd4a' }, { '\u221a' },
            { '\u25a1' }, { '\u2293' }, { '\u228f' }, { '\u2291' },
            { '\u2290' }, { '\u2292' }, { '\u2294' }, { '\ud835', '\udcae' },
            { '\u22c6' }, { '\u22d0' }, { '\u22d0' }, { '\u2286' },
            { '\u227b' }, { '\u2ab0' }, { '\u227d' }, { '\u227f' },
            { '\u220b' }, { '\u2211' }, { '\u22d1' }, { '\u2283' },
            { '\u2287' }, { '\u22d1' }, { '\u00de' }, { '\u00de' },
            { '\u2122' }, { '\u040b' }, { '\u0426' }, { '\u0009' },
            { '\u03a4' }, { '\u0164' }, { '\u0162' }, { '\u0422' },
            { '\ud835', '\udd17' }, { '\u2234' }, { '\u0398' },
            { '\u205f', '\u200a' }, { '\u2009' }, { '\u223c' }, { '\u2243' },
            { '\u2245' }, { '\u2248' }, { '\ud835', '\udd4b' }, { '\u20db' },
            { '\ud835', '\udcaf' }, { '\u0166' }, { '\u00da' }, { '\u00da' },
            { '\u219f' }, { '\u2949' }, { '\u040e' }, { '\u016c' },
            { '\u00db' }, { '\u00db' }, { '\u0423' }, { '\u0170' },
            { '\ud835', '\udd18' }, { '\u00d9' }, { '\u00d9' }, { '\u016a' },
            { '\u005f' }, { '\u23df' }, { '\u23b5' }, { '\u23dd' },
            { '\u22c3' }, { '\u228e' }, { '\u0172' }, { '\ud835', '\udd4c' },
            { '\u2191' }, { '\u2912' }, { '\u21c5' }, { '\u2195' },
            { '\u296e' }, { '\u22a5' }, { '\u21a5' }, { '\u21d1' },
            { '\u21d5' }, { '\u2196' }, { '\u2197' }, { '\u03d2' },
            { '\u03a5' }, { '\u016e' }, { '\ud835', '\udcb0' }, { '\u0168' },
            { '\u00dc' }, { '\u00dc' }, { '\u22ab' }, { '\u2aeb' },
            { '\u0412' }, { '\u22a9' }, { '\u2ae6' }, { '\u22c1' },
            { '\u2016' }, { '\u2016' }, { '\u2223' }, { '\u007c' },
            { '\u2758' }, { '\u2240' }, { '\u200a' }, { '\ud835', '\udd19' },
            { '\ud835', '\udd4d' }, { '\ud835', '\udcb1' }, { '\u22aa' },
            { '\u0174' }, { '\u22c0' }, { '\ud835', '\udd1a' },
            { '\ud835', '\udd4e' }, { '\ud835', '\udcb2' },
            { '\ud835', '\udd1b' }, { '\u039e' }, { '\ud835', '\udd4f' },
            { '\ud835', '\udcb3' }, { '\u042f' }, { '\u0407' }, { '\u042e' },
            { '\u00dd' }, { '\u00dd' }, { '\u0176' }, { '\u042b' },
            { '\ud835', '\udd1c' }, { '\ud835', '\udd50' },
            { '\ud835', '\udcb4' }, { '\u0178' }, { '\u0416' }, { '\u0179' },
            { '\u017d' }, { '\u0417' }, { '\u017b' }, { '\u200b' },
            { '\u0396' }, { '\u2128' }, { '\u2124' }, { '\ud835', '\udcb5' },
            { '\u00e1' }, { '\u00e1' }, { '\u0103' }, { '\u223e' },
            { '\u223e', '\u0333' }, { '\u223f' }, { '\u00e2' }, { '\u00e2' },
            { '\u00b4' }, { '\u00b4' }, { '\u0430' }, { '\u00e6' },
            { '\u00e6' }, { '\u2061' }, { '\ud835', '\udd1e' }, { '\u00e0' },
            { '\u00e0' }, { '\u2135' }, { '\u2135' }, { '\u03b1' },
            { '\u0101' }, { '\u2a3f' }, { '\u0026' }, { '\u0026' },
            { '\u2227' }, { '\u2a55' }, { '\u2a5c' }, { '\u2a58' },
            { '\u2a5a' }, { '\u2220' }, { '\u29a4' }, { '\u2220' },
            { '\u2221' }, { '\u29a8' }, { '\u29a9' }, { '\u29aa' },
            { '\u29ab' }, { '\u29ac' }, { '\u29ad' }, { '\u29ae' },
            { '\u29af' }, { '\u221f' }, { '\u22be' }, { '\u299d' },
            { '\u2222' }, { '\u00c5' }, { '\u237c' }, { '\u0105' },
            { '\ud835', '\udd52' }, { '\u2248' }, { '\u2a70' }, { '\u2a6f' },
            { '\u224a' }, { '\u224b' }, { '\'' }, { '\u2248' }, { '\u224a' },
            { '\u00e5' }, { '\u00e5' }, { '\ud835', '\udcb6' }, { '\u002a' },
            { '\u2248' }, { '\u224d' }, { '\u00e3' }, { '\u00e3' },
            { '\u00e4' }, { '\u00e4' }, { '\u2233' }, { '\u2a11' },
            { '\u2aed' }, { '\u224c' }, { '\u03f6' }, { '\u2035' },
            { '\u223d' }, { '\u22cd' }, { '\u22bd' }, { '\u2305' },
            { '\u2305' }, { '\u23b5' }, { '\u23b6' }, { '\u224c' },
            { '\u0431' }, { '\u201e' }, { '\u2235' }, { '\u2235' },
            { '\u29b0' }, { '\u03f6' }, { '\u212c' }, { '\u03b2' },
            { '\u2136' }, { '\u226c' }, { '\ud835', '\udd1f' }, { '\u22c2' },
            { '\u25ef' }, { '\u22c3' }, { '\u2a00' }, { '\u2a01' },
            { '\u2a02' }, { '\u2a06' }, { '\u2605' }, { '\u25bd' },
            { '\u25b3' }, { '\u2a04' }, { '\u22c1' }, { '\u22c0' },
            { '\u290d' }, { '\u29eb' }, { '\u25aa' }, { '\u25b4' },
            { '\u25be' }, { '\u25c2' }, { '\u25b8' }, { '\u2423' },
            { '\u2592' }, { '\u2591' }, { '\u2593' }, { '\u2588' },
            { '\u003d', '\u20e5' }, { '\u2261', '\u20e5' }, { '\u2310' },
            { '\ud835', '\udd53' }, { '\u22a5' }, { '\u22a5' }, { '\u22c8' },
            { '\u2557' }, { '\u2554' }, { '\u2556' }, { '\u2553' },
            { '\u2550' }, { '\u2566' }, { '\u2569' }, { '\u2564' },
            { '\u2567' }, { '\u255d' }, { '\u255a' }, { '\u255c' },
            { '\u2559' }, { '\u2551' }, { '\u256c' }, { '\u2563' },
            { '\u2560' }, { '\u256b' }, { '\u2562' }, { '\u255f' },
            { '\u29c9' }, { '\u2555' }, { '\u2552' }, { '\u2510' },
            { '\u250c' }, { '\u2500' }, { '\u2565' }, { '\u2568' },
            { '\u252c' }, { '\u2534' }, { '\u229f' }, { '\u229e' },
            { '\u22a0' }, { '\u255b' }, { '\u2558' }, { '\u2518' },
            { '\u2514' }, { '\u2502' }, { '\u256a' }, { '\u2561' },
            { '\u255e' }, { '\u253c' }, { '\u2524' }, { '\u251c' },
            { '\u2035' }, { '\u02d8' }, { '\u00a6' }, { '\u00a6' },
            { '\ud835', '\udcb7' }, { '\u204f' }, { '\u223d' }, { '\u22cd' },
            { '\\' }, { '\u29c5' }, { '\u27c8' }, { '\u2022' }, { '\u2022' },
            { '\u224e' }, { '\u2aae' }, { '\u224f' }, { '\u224f' },
            { '\u0107' }, { '\u2229' }, { '\u2a44' }, { '\u2a49' },
            { '\u2a4b' }, { '\u2a47' }, { '\u2a40' }, { '\u2229', '\ufe00' },
            { '\u2041' }, { '\u02c7' }, { '\u2a4d' }, { '\u010d' },
            { '\u00e7' }, { '\u00e7' }, { '\u0109' }, { '\u2a4c' },
            { '\u2a50' }, { '\u010b' }, { '\u00b8' }, { '\u00b8' },
            { '\u29b2' }, { '\u00a2' }, { '\u00a2' }, { '\u00b7' },
            { '\ud835', '\udd20' }, { '\u0447' }, { '\u2713' }, { '\u2713' },
            { '\u03c7' }, { '\u25cb' }, { '\u29c3' }, { '\u02c6' },
            { '\u2257' }, { '\u21ba' }, { '\u21bb' }, { '\u00ae' },
            { '\u24c8' }, { '\u229b' }, { '\u229a' }, { '\u229d' },
            { '\u2257' }, { '\u2a10' }, { '\u2aef' }, { '\u29c2' },
            { '\u2663' }, { '\u2663' }, { '\u003a' }, { '\u2254' },
            { '\u2254' }, { '\u002c' }, { '\u0040' }, { '\u2201' },
            { '\u2218' }, { '\u2201' }, { '\u2102' }, { '\u2245' },
            { '\u2a6d' }, { '\u222e' }, { '\ud835', '\udd54' }, { '\u2210' },
            { '\u00a9' }, { '\u00a9' }, { '\u2117' }, { '\u21b5' },
            { '\u2717' }, { '\ud835', '\udcb8' }, { '\u2acf' }, { '\u2ad1' },
            { '\u2ad0' }, { '\u2ad2' }, { '\u22ef' }, { '\u2938' },
            { '\u2935' }, { '\u22de' }, { '\u22df' }, { '\u21b6' },
            { '\u293d' }, { '\u222a' }, { '\u2a48' }, { '\u2a46' },
            { '\u2a4a' }, { '\u228d' }, { '\u2a45' }, { '\u222a', '\ufe00' },
            { '\u21b7' }, { '\u293c' }, { '\u22de' }, { '\u22df' },
            { '\u22ce' }, { '\u22cf' }, { '\u00a4' }, { '\u00a4' },
            { '\u21b6' }, { '\u21b7' }, { '\u22ce' }, { '\u22cf' },
            { '\u2232' }, { '\u2231' }, { '\u232d' }, { '\u21d3' },
            { '\u2965' }, { '\u2020' }, { '\u2138' }, { '\u2193' },
            { '\u2010' }, { '\u22a3' }, { '\u290f' }, { '\u02dd' },
            { '\u010f' }, { '\u0434' }, { '\u2146' }, { '\u2021' },
            { '\u21ca' }, { '\u2a77' }, { '\u00b0' }, { '\u00b0' },
            { '\u03b4' }, { '\u29b1' }, { '\u297f' }, { '\ud835', '\udd21' },
            { '\u21c3' }, { '\u21c2' }, { '\u22c4' }, { '\u22c4' },
            { '\u2666' }, { '\u2666' }, { '\u00a8' }, { '\u03dd' },
            { '\u22f2' }, { '\u00f7' }, { '\u00f7' }, { '\u00f7' },
            { '\u22c7' }, { '\u22c7' }, { '\u0452' }, { '\u231e' },
            { '\u230d' }, { '\u0024' }, { '\ud835', '\udd55' }, { '\u02d9' },
            { '\u2250' }, { '\u2251' }, { '\u2238' }, { '\u2214' },
            { '\u22a1' }, { '\u2306' }, { '\u2193' }, { '\u21ca' },
            { '\u21c3' }, { '\u21c2' }, { '\u2910' }, { '\u231f' },
            { '\u230c' }, { '\ud835', '\udcb9' }, { '\u0455' }, { '\u29f6' },
            { '\u0111' }, { '\u22f1' }, { '\u25bf' }, { '\u25be' },
            { '\u21f5' }, { '\u296f' }, { '\u29a6' }, { '\u045f' },
            { '\u27ff' }, { '\u2a77' }, { '\u2251' }, { '\u00e9' },
            { '\u00e9' }, { '\u2a6e' }, { '\u011b' }, { '\u2256' },
            { '\u00ea' }, { '\u00ea' }, { '\u2255' }, { '\u044d' },
            { '\u0117' }, { '\u2147' }, { '\u2252' }, { '\ud835', '\udd22' },
            { '\u2a9a' }, { '\u00e8' }, { '\u00e8' }, { '\u2a96' },
            { '\u2a98' }, { '\u2a99' }, { '\u23e7' }, { '\u2113' },
            { '\u2a95' }, { '\u2a97' }, { '\u0113' }, { '\u2205' },
            { '\u2205' }, { '\u2205' }, { '\u2004' }, { '\u2005' },
            { '\u2003' }, { '\u014b' }, { '\u2002' }, { '\u0119' },
            { '\ud835', '\udd56' }, { '\u22d5' }, { '\u29e3' }, { '\u2a71' },
            { '\u03b5' }, { '\u03b5' }, { '\u03f5' }, { '\u2256' },
            { '\u2255' }, { '\u2242' }, { '\u2a96' }, { '\u2a95' },
            { '\u003d' }, { '\u225f' }, { '\u2261' }, { '\u2a78' },
            { '\u29e5' }, { '\u2253' }, { '\u2971' }, { '\u212f' },
            { '\u2250' }, { '\u2242' }, { '\u03b7' }, { '\u00f0' },
            { '\u00f0' }, { '\u00eb' }, { '\u00eb' }, { '\u20ac' },
            { '\u0021' }, { '\u2203' }, { '\u2130' }, { '\u2147' },
            { '\u2252' }, { '\u0444' }, { '\u2640' }, { '\ufb03' },
            { '\ufb00' }, { '\ufb04' }, { '\ud835', '\udd23' }, { '\ufb01' },
            { '\u0066', '\u006a' }, { '\u266d' }, { '\ufb02' }, { '\u25b1' },
            { '\u0192' }, { '\ud835', '\udd57' }, { '\u2200' }, { '\u22d4' },
            { '\u2ad9' }, { '\u2a0d' }, { '\u00bd' }, { '\u00bd' },
            { '\u2153' }, { '\u00bc' }, { '\u00bc' }, { '\u2155' },
            { '\u2159' }, { '\u215b' }, { '\u2154' }, { '\u2156' },
            { '\u00be' }, { '\u00be' }, { '\u2157' }, { '\u215c' },
            { '\u2158' }, { '\u215a' }, { '\u215d' }, { '\u215e' },
            { '\u2044' }, { '\u2322' }, { '\ud835', '\udcbb' }, { '\u2267' },
            { '\u2a8c' }, { '\u01f5' }, { '\u03b3' }, { '\u03dd' },
            { '\u2a86' }, { '\u011f' }, { '\u011d' }, { '\u0433' },
            { '\u0121' }, { '\u2265' }, { '\u22db' }, { '\u2265' },
            { '\u2267' }, { '\u2a7e' }, { '\u2a7e' }, { '\u2aa9' },
            { '\u2a80' }, { '\u2a82' }, { '\u2a84' }, { '\u22db', '\ufe00' },
            { '\u2a94' }, { '\ud835', '\udd24' }, { '\u226b' }, { '\u22d9' },
            { '\u2137' }, { '\u0453' }, { '\u2277' }, { '\u2a92' },
            { '\u2aa5' }, { '\u2aa4' }, { '\u2269' }, { '\u2a8a' },
            { '\u2a8a' }, { '\u2a88' }, { '\u2a88' }, { '\u2269' },
            { '\u22e7' }, { '\ud835', '\udd58' }, { '\u0060' }, { '\u210a' },
            { '\u2273' }, { '\u2a8e' }, { '\u2a90' }, { '\u003e' },
            { '\u003e' }, { '\u2aa7' }, { '\u2a7a' }, { '\u22d7' },
            { '\u2995' }, { '\u2a7c' }, { '\u2a86' }, { '\u2978' },
            { '\u22d7' }, { '\u22db' }, { '\u2a8c' }, { '\u2277' },
            { '\u2273' }, { '\u2269', '\ufe00' }, { '\u2269', '\ufe00' },
            { '\u21d4' }, { '\u200a' }, { '\u00bd' }, { '\u210b' },
            { '\u044a' }, { '\u2194' }, { '\u2948' }, { '\u21ad' },
            { '\u210f' }, { '\u0125' }, { '\u2665' }, { '\u2665' },
            { '\u2026' }, { '\u22b9' }, { '\ud835', '\udd25' }, { '\u2925' },
            { '\u2926' }, { '\u21ff' }, { '\u223b' }, { '\u21a9' },
            { '\u21aa' }, { '\ud835', '\udd59' }, { '\u2015' },
            { '\ud835', '\udcbd' }, { '\u210f' }, { '\u0127' }, { '\u2043' },
            { '\u2010' }, { '\u00ed' }, { '\u00ed' }, { '\u2063' },
            { '\u00ee' }, { '\u00ee' }, { '\u0438' }, { '\u0435' },
            { '\u00a1' }, { '\u00a1' }, { '\u21d4' }, { '\ud835', '\udd26' },
            { '\u00ec' }, { '\u00ec' }, { '\u2148' }, { '\u2a0c' },
            { '\u222d' }, { '\u29dc' }, { '\u2129' }, { '\u0133' },
            { '\u012b' }, { '\u2111' }, { '\u2110' }, { '\u2111' },
            { '\u0131' }, { '\u22b7' }, { '\u01b5' }, { '\u2208' },
            { '\u2105' }, { '\u221e' }, { '\u29dd' }, { '\u0131' },
            { '\u222b' }, { '\u22ba' }, { '\u2124' }, { '\u22ba' },
            { '\u2a17' }, { '\u2a3c' }, { '\u0451' }, { '\u012f' },
            { '\ud835', '\udd5a' }, { '\u03b9' }, { '\u2a3c' }, { '\u00bf' },
            { '\u00bf' }, { '\ud835', '\udcbe' }, { '\u2208' }, { '\u22f9' },
            { '\u22f5' }, { '\u22f4' }, { '\u22f3' }, { '\u2208' },
            { '\u2062' }, { '\u0129' }, { '\u0456' }, { '\u00ef' },
            { '\u00ef' }, { '\u0135' }, { '\u0439' }, { '\ud835', '\udd27' },
            { '\u0237' }, { '\ud835', '\udd5b' }, { '\ud835', '\udcbf' },
            { '\u0458' }, { '\u0454' }, { '\u03ba' }, { '\u03f0' },
            { '\u0137' }, { '\u043a' }, { '\ud835', '\udd28' }, { '\u0138' },
            { '\u0445' }, { '\u045c' }, { '\ud835', '\udd5c' },
            { '\ud835', '\udcc0' }, { '\u21da' }, { '\u21d0' }, { '\u291b' },
            { '\u290e' }, { '\u2266' }, { '\u2a8b' }, { '\u2962' },
            { '\u013a' }, { '\u29b4' }, { '\u2112' }, { '\u03bb' },
            { '\u27e8' }, { '\u2991' }, { '\u27e8' }, { '\u2a85' },
            { '\u00ab' }, { '\u00ab' }, { '\u2190' }, { '\u21e4' },
            { '\u291f' }, { '\u291d' }, { '\u21a9' }, { '\u21ab' },
            { '\u2939' }, { '\u2973' }, { '\u21a2' }, { '\u2aab' },
            { '\u2919' }, { '\u2aad' }, { '\u2aad', '\ufe00' }, { '\u290c' },
            { '\u2772' }, { '\u007b' }, { '\u005b' }, { '\u298b' },
            { '\u298f' }, { '\u298d' }, { '\u013e' }, { '\u013c' },
            { '\u2308' }, { '\u007b' }, { '\u043b' }, { '\u2936' },
            { '\u201c' }, { '\u201e' }, { '\u2967' }, { '\u294b' },
            { '\u21b2' }, { '\u2264' }, { '\u2190' }, { '\u21a2' },
            { '\u21bd' }, { '\u21bc' }, { '\u21c7' }, { '\u2194' },
            { '\u21c6' }, { '\u21cb' }, { '\u21ad' }, { '\u22cb' },
            { '\u22da' }, { '\u2264' }, { '\u2266' }, { '\u2a7d' },
            { '\u2a7d' }, { '\u2aa8' }, { '\u2a7f' }, { '\u2a81' },
            { '\u2a83' }, { '\u22da', '\ufe00' }, { '\u2a93' }, { '\u2a85' },
            { '\u22d6' }, { '\u22da' }, { '\u2a8b' }, { '\u2276' },
            { '\u2272' }, { '\u297c' }, { '\u230a' }, { '\ud835', '\udd29' },
            { '\u2276' }, { '\u2a91' }, { '\u21bd' }, { '\u21bc' },
            { '\u296a' }, { '\u2584' }, { '\u0459' }, { '\u226a' },
            { '\u21c7' }, { '\u231e' }, { '\u296b' }, { '\u25fa' },
            { '\u0140' }, { '\u23b0' }, { '\u23b0' }, { '\u2268' },
            { '\u2a89' }, { '\u2a89' }, { '\u2a87' }, { '\u2a87' },
            { '\u2268' }, { '\u22e6' }, { '\u27ec' }, { '\u21fd' },
            { '\u27e6' }, { '\u27f5' }, { '\u27f7' }, { '\u27fc' },
            { '\u27f6' }, { '\u21ab' }, { '\u21ac' }, { '\u2985' },
            { '\ud835', '\udd5d' }, { '\u2a2d' }, { '\u2a34' }, { '\u2217' },
            { '\u005f' }, { '\u25ca' }, { '\u25ca' }, { '\u29eb' },
            { '\u0028' }, { '\u2993' }, { '\u21c6' }, { '\u231f' },
            { '\u21cb' }, { '\u296d' }, { '\u200e' }, { '\u22bf' },
            { '\u2039' }, { '\ud835', '\udcc1' }, { '\u21b0' }, { '\u2272' },
            { '\u2a8d' }, { '\u2a8f' }, { '\u005b' }, { '\u2018' },
            { '\u201a' }, { '\u0142' }, { '\u003c' }, { '\u003c' },
            { '\u2aa6' }, { '\u2a79' }, { '\u22d6' }, { '\u22cb' },
            { '\u22c9' }, { '\u2976' }, { '\u2a7b' }, { '\u2996' },
            { '\u25c3' }, { '\u22b4' }, { '\u25c2' }, { '\u294a' },
            { '\u2966' }, { '\u2268', '\ufe00' }, { '\u2268', '\ufe00' },
            { '\u223a' }, { '\u00af' }, { '\u00af' }, { '\u2642' },
            { '\u2720' }, { '\u2720' }, { '\u21a6' }, { '\u21a6' },
            { '\u21a7' }, { '\u21a4' }, { '\u21a5' }, { '\u25ae' },
            { '\u2a29' }, { '\u043c' }, { '\u2014' }, { '\u2221' },
            { '\ud835', '\udd2a' }, { '\u2127' }, { '\u00b5' }, { '\u00b5' },
            { '\u2223' }, { '\u002a' }, { '\u2af0' }, { '\u00b7' },
            { '\u00b7' }, { '\u2212' }, { '\u229f' }, { '\u2238' },
            { '\u2a2a' }, { '\u2adb' }, { '\u2026' }, { '\u2213' },
            { '\u22a7' }, { '\ud835', '\udd5e' }, { '\u2213' },
            { '\ud835', '\udcc2' }, { '\u223e' }, { '\u03bc' }, { '\u22b8' },
            { '\u22b8' }, { '\u22d9', '\u0338' }, { '\u226b', '\u20d2' },
            { '\u226b', '\u0338' }, { '\u21cd' }, { '\u21ce' },
            { '\u22d8', '\u0338' }, { '\u226a', '\u20d2' },
            { '\u226a', '\u0338' }, { '\u21cf' }, { '\u22af' }, { '\u22ae' },
            { '\u2207' }, { '\u0144' }, { '\u2220', '\u20d2' }, { '\u2249' },
            { '\u2a70', '\u0338' }, { '\u224b', '\u0338' }, { '\u0149' },
            { '\u2249' }, { '\u266e' }, { '\u266e' }, { '\u2115' },
            { '\u00a0' }, { '\u00a0' }, { '\u224e', '\u0338' },
            { '\u224f', '\u0338' }, { '\u2a43' }, { '\u0148' }, { '\u0146' },
            { '\u2247' }, { '\u2a6d', '\u0338' }, { '\u2a42' }, { '\u043d' },
            { '\u2013' }, { '\u2260' }, { '\u21d7' }, { '\u2924' },
            { '\u2197' }, { '\u2197' }, { '\u2250', '\u0338' }, { '\u2262' },
            { '\u2928' }, { '\u2242', '\u0338' }, { '\u2204' }, { '\u2204' },
            { '\ud835', '\udd2b' }, { '\u2267', '\u0338' }, { '\u2271' },
            { '\u2271' }, { '\u2267', '\u0338' }, { '\u2a7e', '\u0338' },
            { '\u2a7e', '\u0338' }, { '\u2275' }, { '\u226f' }, { '\u226f' },
            { '\u21ce' }, { '\u21ae' }, { '\u2af2' }, { '\u220b' },
            { '\u22fc' }, { '\u22fa' }, { '\u220b' }, { '\u045a' },
            { '\u21cd' }, { '\u2266', '\u0338' }, { '\u219a' }, { '\u2025' },
            { '\u2270' }, { '\u219a' }, { '\u21ae' }, { '\u2270' },
            { '\u2266', '\u0338' }, { '\u2a7d', '\u0338' },
            { '\u2a7d', '\u0338' }, { '\u226e' }, { '\u2274' }, { '\u226e' },
            { '\u22ea' }, { '\u22ec' }, { '\u2224' }, { '\ud835', '\udd5f' },
            { '\u00ac' }, { '\u00ac' }, { '\u2209' }, { '\u22f9', '\u0338' },
            { '\u22f5', '\u0338' }, { '\u2209' }, { '\u22f7' }, { '\u22f6' },
            { '\u220c' }, { '\u220c' }, { '\u22fe' }, { '\u22fd' },
            { '\u2226' }, { '\u2226' }, { '\u2afd', '\u20e5' },
            { '\u2202', '\u0338' }, { '\u2a14' }, { '\u2280' }, { '\u22e0' },
            { '\u2aaf', '\u0338' }, { '\u2280' }, { '\u2aaf', '\u0338' },
            { '\u21cf' }, { '\u219b' }, { '\u2933', '\u0338' },
            { '\u219d', '\u0338' }, { '\u219b' }, { '\u22eb' }, { '\u22ed' },
            { '\u2281' }, { '\u22e1' }, { '\u2ab0', '\u0338' },
            { '\ud835', '\udcc3' }, { '\u2224' }, { '\u2226' }, { '\u2241' },
            { '\u2244' }, { '\u2244' }, { '\u2224' }, { '\u2226' },
            { '\u22e2' }, { '\u22e3' }, { '\u2284' }, { '\u2ac5', '\u0338' },
            { '\u2288' }, { '\u2282', '\u20d2' }, { '\u2288' },
            { '\u2ac5', '\u0338' }, { '\u2281' }, { '\u2ab0', '\u0338' },
            { '\u2285' }, { '\u2ac6', '\u0338' }, { '\u2289' },
            { '\u2283', '\u20d2' }, { '\u2289' }, { '\u2ac6', '\u0338' },
            { '\u2279' }, { '\u00f1' }, { '\u00f1' }, { '\u2278' },
            { '\u22ea' }, { '\u22ec' }, { '\u22eb' }, { '\u22ed' },
            { '\u03bd' }, { '\u0023' }, { '\u2116' }, { '\u2007' },
            { '\u22ad' }, { '\u2904' }, { '\u224d', '\u20d2' }, { '\u22ac' },
            { '\u2265', '\u20d2' }, { '\u003e', '\u20d2' }, { '\u29de' },
            { '\u2902' }, { '\u2264', '\u20d2' }, { '\u003c', '\u20d2' },
            { '\u22b4', '\u20d2' }, { '\u2903' }, { '\u22b5', '\u20d2' },
            { '\u223c', '\u20d2' }, { '\u21d6' }, { '\u2923' }, { '\u2196' },
            { '\u2196' }, { '\u2927' }, { '\u24c8' }, { '\u00f3' },
            { '\u00f3' }, { '\u229b' }, { '\u229a' }, { '\u00f4' },
            { '\u00f4' }, { '\u043e' }, { '\u229d' }, { '\u0151' },
            { '\u2a38' }, { '\u2299' }, { '\u29bc' }, { '\u0153' },
            { '\u29bf' }, { '\ud835', '\udd2c' }, { '\u02db' }, { '\u00f2' },
            { '\u00f2' }, { '\u29c1' }, { '\u29b5' }, { '\u03a9' },
            { '\u222e' }, { '\u21ba' }, { '\u29be' }, { '\u29bb' },
            { '\u203e' }, { '\u29c0' }, { '\u014d' }, { '\u03c9' },
            { '\u03bf' }, { '\u29b6' }, { '\u2296' }, { '\ud835', '\udd60' },
            { '\u29b7' }, { '\u29b9' }, { '\u2295' }, { '\u2228' },
            { '\u21bb' }, { '\u2a5d' }, { '\u2134' }, { '\u2134' },
            { '\u00aa' }, { '\u00aa' }, { '\u00ba' }, { '\u00ba' },
            { '\u22b6' }, { '\u2a56' }, { '\u2a57' }, { '\u2a5b' },
            { '\u2134' }, { '\u00f8' }, { '\u00f8' }, { '\u2298' },
            { '\u00f5' }, { '\u00f5' }, { '\u2297' }, { '\u2a36' },
            { '\u00f6' }, { '\u00f6' }, { '\u233d' }, { '\u2225' },
            { '\u00b6' }, { '\u00b6' }, { '\u2225' }, { '\u2af3' },
            { '\u2afd' }, { '\u2202' }, { '\u043f' }, { '\u0025' },
            { '\u002e' }, { '\u2030' }, { '\u22a5' }, { '\u2031' },
            { '\ud835', '\udd2d' }, { '\u03c6' }, { '\u03d5' }, { '\u2133' },
            { '\u260e' }, { '\u03c0' }, { '\u22d4' }, { '\u03d6' },
            { '\u210f' }, { '\u210e' }, { '\u210f' }, { '\u002b' },
            { '\u2a23' }, { '\u229e' }, { '\u2a22' }, { '\u2214' },
            { '\u2a25' }, { '\u2a72' }, { '\u00b1' }, { '\u00b1' },
            { '\u2a26' }, { '\u2a27' }, { '\u00b1' }, { '\u2a15' },
            { '\ud835', '\udd61' }, { '\u00a3' }, { '\u00a3' }, { '\u227a' },
            { '\u2ab3' }, { '\u2ab7' }, { '\u227c' }, { '\u2aaf' },
            { '\u227a' }, { '\u2ab7' }, { '\u227c' }, { '\u2aaf' },
            { '\u2ab9' }, { '\u2ab5' }, { '\u22e8' }, { '\u227e' },
            { '\u2032' }, { '\u2119' }, { '\u2ab5' }, { '\u2ab9' },
            { '\u22e8' }, { '\u220f' }, { '\u232e' }, { '\u2312' },
            { '\u2313' }, { '\u221d' }, { '\u221d' }, { '\u227e' },
            { '\u22b0' }, { '\ud835', '\udcc5' }, { '\u03c8' }, { '\u2008' },
            { '\ud835', '\udd2e' }, { '\u2a0c' }, { '\ud835', '\udd62' },
            { '\u2057' }, { '\ud835', '\udcc6' }, { '\u210d' }, { '\u2a16' },
            { '\u003f' }, { '\u225f' }, { '\u0022' }, { '\u0022' },
            { '\u21db' }, { '\u21d2' }, { '\u291c' }, { '\u290f' },
            { '\u2964' }, { '\u223d', '\u0331' }, { '\u0155' }, { '\u221a' },
            { '\u29b3' }, { '\u27e9' }, { '\u2992' }, { '\u29a5' },
            { '\u27e9' }, { '\u00bb' }, { '\u00bb' }, { '\u2192' },
            { '\u2975' }, { '\u21e5' }, { '\u2920' }, { '\u2933' },
            { '\u291e' }, { '\u21aa' }, { '\u21ac' }, { '\u2945' },
            { '\u2974' }, { '\u21a3' }, { '\u219d' }, { '\u291a' },
            { '\u2236' }, { '\u211a' }, { '\u290d' }, { '\u2773' },
            { '\u007d' }, { '\u005d' }, { '\u298c' }, { '\u298e' },
            { '\u2990' }, { '\u0159' }, { '\u0157' }, { '\u2309' },
            { '\u007d' }, { '\u0440' }, { '\u2937' }, { '\u2969' },
            { '\u201d' }, { '\u201d' }, { '\u21b3' }, { '\u211c' },
            { '\u211b' }, { '\u211c' }, { '\u211d' }, { '\u25ad' },
            { '\u00ae' }, { '\u00ae' }, { '\u297d' }, { '\u230b' },
            { '\ud835', '\udd2f' }, { '\u21c1' }, { '\u21c0' }, { '\u296c' },
            { '\u03c1' }, { '\u03f1' }, { '\u2192' }, { '\u21a3' },
            { '\u21c1' }, { '\u21c0' }, { '\u21c4' }, { '\u21cc' },
            { '\u21c9' }, { '\u219d' }, { '\u22cc' }, { '\u02da' },
            { '\u2253' }, { '\u21c4' }, { '\u21cc' }, { '\u200f' },
            { '\u23b1' }, { '\u23b1' }, { '\u2aee' }, { '\u27ed' },
            { '\u21fe' }, { '\u27e7' }, { '\u2986' }, { '\ud835', '\udd63' },
            { '\u2a2e' }, { '\u2a35' }, { '\u0029' }, { '\u2994' },
            { '\u2a12' }, { '\u21c9' }, { '\u203a' }, { '\ud835', '\udcc7' },
            { '\u21b1' }, { '\u005d' }, { '\u2019' }, { '\u2019' },
            { '\u22cc' }, { '\u22ca' }, { '\u25b9' }, { '\u22b5' },
            { '\u25b8' }, { '\u29ce' }, { '\u2968' }, { '\u211e' },
            { '\u015b' }, { '\u201a' }, { '\u227b' }, { '\u2ab4' },
            { '\u2ab8' }, { '\u0161' }, { '\u227d' }, { '\u2ab0' },
            { '\u015f' }, { '\u015d' }, { '\u2ab6' }, { '\u2aba' },
            { '\u22e9' }, { '\u2a13' }, { '\u227f' }, { '\u0441' },
            { '\u22c5' }, { '\u22a1' }, { '\u2a66' }, { '\u21d8' },
            { '\u2925' }, { '\u2198' }, { '\u2198' }, { '\u00a7' },
            { '\u00a7' }, { '\u003b' }, { '\u2929' }, { '\u2216' },
            { '\u2216' }, { '\u2736' }, { '\ud835', '\udd30' }, { '\u2322' },
            { '\u266f' }, { '\u0449' }, { '\u0448' }, { '\u2223' },
            { '\u2225' }, { '\u00ad' }, { '\u00ad' }, { '\u03c3' },
            { '\u03c2' }, { '\u03c2' }, { '\u223c' }, { '\u2a6a' },
            { '\u2243' }, { '\u2243' }, { '\u2a9e' }, { '\u2aa0' },
            { '\u2a9d' }, { '\u2a9f' }, { '\u2246' }, { '\u2a24' },
            { '\u2972' }, { '\u2190' }, { '\u2216' }, { '\u2a33' },
            { '\u29e4' }, { '\u2223' }, { '\u2323' }, { '\u2aaa' },
            { '\u2aac' }, { '\u2aac', '\ufe00' }, { '\u044c' }, { '\u002f' },
            { '\u29c4' }, { '\u233f' }, { '\ud835', '\udd64' }, { '\u2660' },
            { '\u2660' }, { '\u2225' }, { '\u2293' }, { '\u2293', '\ufe00' },
            { '\u2294' }, { '\u2294', '\ufe00' }, { '\u228f' }, { '\u2291' },
            { '\u228f' }, { '\u2291' }, { '\u2290' }, { '\u2292' },
            { '\u2290' }, { '\u2292' }, { '\u25a1' }, { '\u25a1' },
            { '\u25aa' }, { '\u25aa' }, { '\u2192' }, { '\ud835', '\udcc8' },
            { '\u2216' }, { '\u2323' }, { '\u22c6' }, { '\u2606' },
            { '\u2605' }, { '\u03f5' }, { '\u03d5' }, { '\u00af' },
            { '\u2282' }, { '\u2ac5' }, { '\u2abd' }, { '\u2286' },
            { '\u2ac3' }, { '\u2ac1' }, { '\u2acb' }, { '\u228a' },
            { '\u2abf' }, { '\u2979' }, { '\u2282' }, { '\u2286' },
            { '\u2ac5' }, { '\u228a' }, { '\u2acb' }, { '\u2ac7' },
            { '\u2ad5' }, { '\u2ad3' }, { '\u227b' }, { '\u2ab8' },
            { '\u227d' }, { '\u2ab0' }, { '\u2aba' }, { '\u2ab6' },
            { '\u22e9' }, { '\u227f' }, { '\u2211' }, { '\u266a' },
            { '\u00b9' }, { '\u00b9' }, { '\u00b2' }, { '\u00b2' },
            { '\u00b3' }, { '\u00b3' }, { '\u2283' }, { '\u2ac6' },
            { '\u2abe' }, { '\u2ad8' }, { '\u2287' }, { '\u2ac4' },
            { '\u27c9' }, { '\u2ad7' }, { '\u297b' }, { '\u2ac2' },
            { '\u2acc' }, { '\u228b' }, { '\u2ac0' }, { '\u2283' },
            { '\u2287' }, { '\u2ac6' }, { '\u228b' }, { '\u2acc' },
            { '\u2ac8' }, { '\u2ad4' }, { '\u2ad6' }, { '\u21d9' },
            { '\u2926' }, { '\u2199' }, { '\u2199' }, { '\u292a' },
            { '\u00df' }, { '\u00df' }, { '\u2316' }, { '\u03c4' },
            { '\u23b4' }, { '\u0165' }, { '\u0163' }, { '\u0442' },
            { '\u20db' }, { '\u2315' }, { '\ud835', '\udd31' }, { '\u2234' },
            { '\u2234' }, { '\u03b8' }, { '\u03d1' }, { '\u03d1' },
            { '\u2248' }, { '\u223c' }, { '\u2009' }, { '\u2248' },
            { '\u223c' }, { '\u00fe' }, { '\u00fe' }, { '\u02dc' },
            { '\u00d7' }, { '\u00d7' }, { '\u22a0' }, { '\u2a31' },
            { '\u2a30' }, { '\u222d' }, { '\u2928' }, { '\u22a4' },
            { '\u2336' }, { '\u2af1' }, { '\ud835', '\udd65' }, { '\u2ada' },
            { '\u2929' }, { '\u2034' }, { '\u2122' }, { '\u25b5' },
            { '\u25bf' }, { '\u25c3' }, { '\u22b4' }, { '\u225c' },
            { '\u25b9' }, { '\u22b5' }, { '\u25ec' }, { '\u225c' },
            { '\u2a3a' }, { '\u2a39' }, { '\u29cd' }, { '\u2a3b' },
            { '\u23e2' }, { '\ud835', '\udcc9' }, { '\u0446' }, { '\u045b' },
            { '\u0167' }, { '\u226c' }, { '\u219e' }, { '\u21a0' },
            { '\u21d1' }, { '\u2963' }, { '\u00fa' }, { '\u00fa' },
            { '\u2191' }, { '\u045e' }, { '\u016d' }, { '\u00fb' },
            { '\u00fb' }, { '\u0443' }, { '\u21c5' }, { '\u0171' },
            { '\u296e' }, { '\u297e' }, { '\ud835', '\udd32' }, { '\u00f9' },
            { '\u00f9' }, { '\u21bf' }, { '\u21be' }, { '\u2580' },
            { '\u231c' }, { '\u231c' }, { '\u230f' }, { '\u25f8' },
            { '\u016b' }, { '\u00a8' }, { '\u00a8' }, { '\u0173' },
            { '\ud835', '\udd66' }, { '\u2191' }, { '\u2195' }, { '\u21bf' },
            { '\u21be' }, { '\u228e' }, { '\u03c5' }, { '\u03d2' },
            { '\u03c5' }, { '\u21c8' }, { '\u231d' }, { '\u231d' },
            { '\u230e' }, { '\u016f' }, { '\u25f9' }, { '\ud835', '\udcca' },
            { '\u22f0' }, { '\u0169' }, { '\u25b5' }, { '\u25b4' },
            { '\u21c8' }, { '\u00fc' }, { '\u00fc' }, { '\u29a7' },
            { '\u21d5' }, { '\u2ae8' }, { '\u2ae9' }, { '\u22a8' },
            { '\u299c' }, { '\u03f5' }, { '\u03f0' }, { '\u2205' },
            { '\u03d5' }, { '\u03d6' }, { '\u221d' }, { '\u2195' },
            { '\u03f1' }, { '\u03c2' }, { '\u228a', '\ufe00' },
            { '\u2acb', '\ufe00' }, { '\u228b', '\ufe00' },
            { '\u2acc', '\ufe00' }, { '\u03d1' }, { '\u22b2' }, { '\u22b3' },
            { '\u0432' }, { '\u22a2' }, { '\u2228' }, { '\u22bb' },
            { '\u225a' }, { '\u22ee' }, { '\u007c' }, { '\u007c' },
            { '\ud835', '\udd33' }, { '\u22b2' }, { '\u2282', '\u20d2' },
            { '\u2283', '\u20d2' }, { '\ud835', '\udd67' }, { '\u221d' },
            { '\u22b3' }, { '\ud835', '\udccb' }, { '\u2acb', '\ufe00' },
            { '\u228a', '\ufe00' }, { '\u2acc', '\ufe00' },
            { '\u228b', '\ufe00' }, { '\u299a' }, { '\u0175' }, { '\u2a5f' },
            { '\u2227' }, { '\u2259' }, { '\u2118' }, { '\ud835', '\udd34' },
            { '\ud835', '\udd68' }, { '\u2118' }, { '\u2240' }, { '\u2240' },
            { '\ud835', '\udccc' }, { '\u22c2' }, { '\u25ef' }, { '\u22c3' },
            { '\u25bd' }, { '\ud835', '\udd35' }, { '\u27fa' }, { '\u27f7' },
            { '\u03be' }, { '\u27f8' }, { '\u27f5' }, { '\u27fc' },
            { '\u22fb' }, { '\u2a00' }, { '\ud835', '\udd69' }, { '\u2a01' },
            { '\u2a02' }, { '\u27f9' }, { '\u27f6' }, { '\ud835', '\udccd' },
            { '\u2a06' }, { '\u2a04' }, { '\u25b3' }, { '\u22c1' },
            { '\u22c0' }, { '\u00fd' }, { '\u00fd' }, { '\u044f' },
            { '\u0177' }, { '\u044b' }, { '\u00a5' }, { '\u00a5' },
            { '\ud835', '\udd36' }, { '\u0457' }, { '\ud835', '\udd6a' },
            { '\ud835', '\udcce' }, { '\u044e' }, { '\u00ff' }, { '\u00ff' },
            { '\u017a' }, { '\u017e' }, { '\u0437' }, { '\u017c' },
            { '\u2128' }, { '\u03b6' }, { '\ud835', '\udd37' }, { '\u0436' },
            { '\u21dd' }, { '\ud835', '\udd6b' }, { '\ud835', '\udccf' },
            { '\u200d' }, { '\u200c' }, };

    final static char[][] WINDOWS_1252 = { { '\u20AC' }, { '\u0081' },
            { '\u201A' }, { '\u0192' }, { '\u201E' }, { '\u2026' },
            { '\u2020' }, { '\u2021' }, { '\u02C6' }, { '\u2030' },
            { '\u0160' }, { '\u2039' }, { '\u0152' }, { '\u008D' },
            { '\u017D' }, { '\u008F' }, { '\u0090' }, { '\u2018' },
            { '\u2019' }, { '\u201C' }, { '\u201D' }, { '\u2022' },
            { '\u2013' }, { '\u2014' }, { '\u02DC' }, { '\u2122' },
            { '\u0161' }, { '\u203A' }, { '\u0153' }, { '\u009D' },
            { '\u017E' }, { '\u0178' } };

}
